from Card import Card
import random


class Deck():
    """Represents a standard card deck.
    """

    def __init__(self):  
        self.current =[]
        for i in range(0,4):
            for j in range(1,14):
                self.current.append(Card(i,j))
                
    def __str__(self):
        return str(len(self.current))+" cards left in deck"
                
    def deal(self):
        card1 = self.current.pop()
        return card1
    
    def shuffle(self):
        random.shuffle(self.current)
        

    
    